Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159945 - up2date crashes in yumRepo.py
Summary: up2date crashes in yumRepo.py
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 15:33 UTC by Kyle R Maxwell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-30 15:16:49 UTC


Attachments (Terms of Use)

Description Kyle R Maxwell 2005-06-09 15:33:36 UTC
Description of problem:
up2date crashes when trying to update from the repositories.

Version-Release number of selected component (if applicable):
up2date-4.4.23-4

I'm not able to reproduce this particular problem at will, but running "up2date
-u" or even "yum update" results in errors, either 404 in up2date (from all
mirrors) or "[Errno -1] Metadata file does not match checksum" in yum (when
reading primary.xml.gz from all mirrors). This part might be site-specific, but
I don't think the below crash output is.

$ sudo up2date -i gaim gaim-meanwhile
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirrors.kernel.org/fedora/core/development/i386/
http://fedora.redhat.com/download/mirrors/fedora-extras-devel
using mirror: http://ftp.kddilabs.jp/Linux/packages/fedora/extras/development/i386/

Fetching Obsoletes list for channel: development...

Fetching Obsoletes list for channel: extras-development...

Fetching rpm headers...
There was an error downloading:
http://mirrors.kernel.org/fedora/core/development/i386//headers/gaim-1-1.3.0-1.fc4.i386.hdr
There was an error downloading:
http://mirrors.kernel.org/fedora/core/development/i386//headers/gaim-1-1.3.0-1.fc4.i386.hdr
There was an error downloading:
http://mirrors.kernel.org/fedora/core/development/i386//headers/gaim-1-1.3.0-1.fc4.i386.hdr
There was an error downloading:
http://mirrors.kernel.org/fedora/core/development/i386//headers/gaim-1-1.3.0-1.fc4.i386.hdr
There was an error downloading:
http://mirrors.kernel.org/fedora/core/development/i386//headers/gaim-1-1.3.0-1.fc4.i386.hdr
An error has occurred:
exceptions.UnboundLocalError
See /var/log/up2date for more information

From /var/log/up2date:

[Thu Jun  9 09:31:02 2005] up2date availablePackageList from network
[Thu Jun  9 09:31:08 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1120, in batchRun
    batch.init()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 112, in
__findPackagesToUpdate
    self.availableUpdates = plist.getPackagesToInstall()
   File "/usr/share/rhn/up2date_client/packageList.py", line 645, in
getPackagesToInstall
    result = self.__skipPackages(result)
   File "/usr/share/rhn/up2date_client/packageList.py", line 674, in __skipPackages
    packageList = self.__skipFiles(packageList)
   File "/usr/share/rhn/up2date_client/packageList.py", line 695, in __skipFiles
   ignoreMsgCallback = self.ignoreMsgCallback)
   File "/usr/share/rhn/up2date_client/packageList.py", line 734, in buildHeaderList
    hdr = headerList[pkg]
   File "/usr/share/rhn/up2date_client/headers.py", line 37, in __getitem__
    self.__retrievePackage(item)
   File "/usr/share/rhn/up2date_client/headers.py", line 42, in __retrievePackage
    hdr, sourceType = rpcServer.doCall(self.repos.getHeader, item)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 32, in getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback,
progressCallback)
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 213, in getHeader
    header = source.getHeader(pkg, progressCallback = progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line 112, in
getHeader


Note You need to log in before you can comment on or make changes to this bug.